# Package org.eclipse.microprofile.faulttolerance.exceptions

@Version("1.0") package org.eclipse.microprofile.faulttolerance.exceptions

Exceptions for Microprofile Fault Tolerance

Related Packages
Package
Description
org.eclipse.microprofile.faulttolerance
CDI Support for Microprofile Fault Tolerance
Exceptions
Class
Description
BulkheadException
The exception should be thrown when Bulkhead implementation throws an exception, e.g.
CircuitBreakerOpenException
The exception should be thrown when circuit breaker is open.
FaultToleranceDefinitionException
The exception should be thrown when the definition of any Fault Tolerance annotations is invalid.
FaultToleranceException
The exception should be thrown when the maximum retries is reached or overall retry duration is reached, circuit breaker is open, timeout occurred.
TimeoutException
The exception should be thrown when timeout is reached.